@Entity
@Table(name = "ACME_EMPLOYEE")
@XmlRootElement
@NamedQueries({
    ...)})
public class AcmeEmployee implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "ID")
    private Integer id;
    @Size(max = 50)
    @Column(name = "FIRST_NAME")
    private String firstName;
    @Size(max = 50)
    @Column(name = "LAST_NAME")
    private String lastName;
    @Column(name = "START_DATE")
    @Temporal(TemporalType.DATE)
    private Date startDate;
    @Column(name = "AGE")
    private Integer age;
    @Column(name = "JOB_ID")
    private Integer jobId;
    @Size(max = 20)
    @Column(name = "STATUS")
    private String status;

    public AcmeEmployee() {
    }
// Getters and Setters
}