@Stateless
@Path("acmeemployee")
public class AcmeEmployeeFacadeREST {

    @PersistenceContext(unitName 
            = "EmployeeService_1.0PU")
    private EntityManager em;

    public AcmeEmployeeFacadeREST() {

    }
    
    @GET
    @Produces({MediaType.APPLICATION_XML, 
               MediaType.APPLICATION_JSON})
    public List<AcmeEmployee> findAll() {
        List<AcmeEmployee> employeeList = null;
        try {
            employeeList = em.createQuery(
              "select object(o) 
              from AcmeEmployee o")
                    .getResultList();
        } catch (NoResultException e){
            
        }
        return employeeList;
        
    }
    
}